import { Keypair, PublicKey, Transaction } from '@solana/web3.js';
import { Adapter } from '@solana/wallet-adapter-base';

export interface Wallet {
  wallet: any;
  adapter: Adapter;
  publicKey: PublicKey;
  signTransaction(tx: Transaction): Promise<Transaction>;
  signAllTransactions(txs: Transaction[]): Promise<Transaction[]>;
  feePayer?: PublicKey;
}

export class NodeWallet implements Wallet {
  constructor(readonly payer: Keypair) {}
  wallet: any;
  adapter: Adapter;
  feePayer?: PublicKey;

  async signTransaction(tx: Transaction): Promise<Transaction> {
    //tx.partialSign(this.payer); //주석해제 필요
    return tx;
  }

  async signAllTransactions(txs: Transaction[]): Promise<Transaction[]> {
    return txs.map((tx) => {
      //tx.partialSign(this.payer); //주석해제 필요
      return tx;
    });
  }

  get publicKey(): PublicKey {
    return this.payer.publicKey;
  }
}
